import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import ImagePlaceholder from '@s-ui/react-image-placeholder';
var BASE_CLASS = 'sui-ThumbnailBasic';
var CAPTION_CLASS = 'sui-ThumbnailBasic-caption';
var CAPTION_TEXT_CLASS = 'sui-ThumbnailBasic-caption-text';

var Thumbnail = function Thumbnail(_ref) {
  var captionText = _ref.captionText,
      placeholderProps = _objectWithoutPropertiesLoose(_ref, ["captionText"]);

  return React.createElement("figure", {
    className: BASE_CLASS
  }, React.createElement(ImagePlaceholder, placeholderProps), captionText && React.createElement("figcaption", {
    className: CAPTION_CLASS
  }, React.createElement("div", {
    className: CAPTION_TEXT_CLASS
  }, captionText)));
};

export default Thumbnail;